# TARDIS

This repository contains the TARDIS framework for spatiotemporal registration of multiple embryos, proposed in our Mouse-Atlas article.

## Description of the repository
Folders:
  - TGMMlibraries: The class `lineageTree`, a container for lineage trees and Statistical Vector Flow (SVF). Can read output data from TGMM.
  - Transformation: A class for linear transformations manipulation writen by Christoph Gohlke from Laboratory for Fluorescence Dynamics in University of California (http://www.lfd.uci.edu/~gohlke/).
  - Annotation-example: Example of annotations for TARDIS. The xml files are MaMuT xml files (https://imagej.net/MaMuT).
  - csv-parameter-files: Example of parameterization csv files for TARDIS.
Python files:
  - TARDIS.py: python script to coregister two segmented embryos.

## Basic usage
The TARDIS.py python script proposed here can be run from a terminal in the following way:

`python TARDIS.py`

The user is then prompted to provide a parameter csv file (example provided in the folder csv-parameter-files). The path to the parameter file should then be typed in the terminal.

## Dependencies
Some dependencies are required:
  - general python dependencies:
    - numpy, scipy, pandas
  - TGMMlibraries:
    - No dependencies besides the general ones
  - TARDIS.py:
    - TGMMlibraries has to be installed (see TGMMlibraries/README.md)
    - Transformations has to be installed (see Transformations/README.md)

## Quick install
To quickly install the script so it can be call from the terminal and install too the common dependecies one can run
```shell
python setup.py install [--user]
```
Still will be remaining to install Transformations and TGMMlibraries packages.
